"use strict";
this.name        = "armourrepair";
this.author      = "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Repair Additional Armour and Core Hull Equipments if damaged.";
this.version     = "1.0";

this.allowAwardEquipment = function(eqKey, ship, context)
{
	if(eqKey==="EQ_ADDITIONAL_ARMOUR_REPAIR" && ship === player.ship && context === "purchase"
		&& ( player.ship.equipmentStatus("EQ_ADDITIONAL_FRONT_ARMOUR") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_ADDITIONAL_AFT_ARMOUR") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_ADDITIONAL_CORE_HULL") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_HARDNOSE") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_VERYHARDNOSE") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_VERYVERYHARDNOSE") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_EEG") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_ESG") === "EQUIPMENT_DAMAGED"
		|| player.ship.equipmentStatus("EQ_HTCAT") === "EQUIPMENT_DAMAGED" && player.bounty == 0
		|| player.ship.equipmentStatus("EQ_REG") === "EQUIPMENT_DAMAGED" && player.bounty > 0 ) )
		return true;
	else return false;
}
